# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterOBJ Class Reference

The LoadWriterOBJ class is a ResourceLoadWriter capable of reading OBJ files. More...

`#include <ioOBJ.hpp>`

Inheritance diagram for vl::LoadWriterOBJ:

List of all members.

## Public Member Functions

| LoadWriterOBJ ()
void | registerLoadWriter ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.

## Detailed Description

The LoadWriterOBJ class is a ResourceLoadWriter capable of reading OBJ files.

Definition at line 57 of file ioOBJ.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterOBJ::LoadWriterOBJ | ( | ) | `[inline]`

Definition at line 62 of file ioOBJ.hpp.

## Member Function Documentation

void vl::LoadWriterOBJ::registerLoadWriter | ( | ) |

ref<ResourceDatabase> vl::LoadWriterOBJ::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 66 of file ioOBJ.hpp.

References vl::loadOBJ().

ref<ResourceDatabase> vl::LoadWriterOBJ::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 71 of file ioOBJ.hpp.

References vl::loadOBJ().

bool vl::LoadWriterOBJ::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 77 of file ioOBJ.hpp.

bool vl::LoadWriterOBJ::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 83 of file ioOBJ.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioOBJ.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.